Bug 473332 - gnome-open can't open URL's after upgrading from Fedora 9 to Fedora 10
gnome-open can't open URL's after upgrading from Fedora 9 to Fedora 10
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libgnome (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 14:50 EST by Michal Piotrowski
Modified: 2009-12-18 01:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:59:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Piotrowski 2008-11-27 14:50:06 EST
Description of problem:
After upgrading from Fedora 9 to Fedora 10 I can't open links from Thunderbird. I have traced the problem to gnome-open. When I invoke:
gnome-open "http://www.google.com"
I receive an error:
Error showing url: Operation not supported

On a clean installation of Fedora 10 it works fine.

Version-Release number of selected component (if applicable):
GConf2-2.24.0-1.fc10
libgnome-2.24.1-7.fc10

How reproducible:
Always

Steps to Reproduce:
1. Upgrade system from Fedora 9 to Fedora 10
2. enter in terminal: gnome-open "http://www.google.com"
  
Actual results:
Error message: "Error showing url: Operation not supported"

Expected results:
Default web browser opens with entered URL.

Additional info:
I don't have Gnome desktop installed, because I use KDE.
Comment 1 Ray Strode [halfline] 2008-12-01 14:03:17 EST
might be a problem with gvfs under a non-gnome environment.

does

gvfs-open http://www.google.com

also have the problem?

Maybe there's nothing to tell gio to load the gvfs module?
Comment 2 Ray Strode [halfline] 2008-12-01 14:14:40 EST
actually, you probably don't have gvfs installed.

Does installing it fix the problem?  Maybe we need to make libgnome require gvfs
Comment 3 Michal Piotrowski 2008-12-01 17:27:38 EST
Yes, installing gvfs fixed the problem. Thank you.
Comment 4 Fedora Update System 2008-12-01 17:57:36 EST
libgnome-2.24.1-8.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libgnome-2.24.1-8.fc10
Comment 5 Fedora Update System 2008-12-02 20:18:56 EST
libgnome-2.24.1-8.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libgnome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10584
Comment 6 Fedora Update System 2008-12-10 23:31:34 EST
libgnome-2.24.1-9.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libgnome-2.24.1-9.fc10
Comment 7 Fedora Update System 2008-12-13 09:56:43 EST
libgnome-2.24.1-9.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libgnome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11201
Comment 8 Bug Zapper 2009-11-18 04:00:45 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 01:59:20 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.